import Vue from 'vue';
import App from './App.vue';
// 路由
import router from './router';

// 使用echarts
// import echarts from 'echarts';
// Vue.prototype.$echarts = echarts;

// Vuex
import store from './store';

// 全局组件库、组件、样式
import './styles/index';

// 是否启用PWA
import './sw/registerServiceWorker';

// 注册自定义插件
import './plugins';

// 调用共通js
import './common';

// 共通filters
import * as filters from './filters';

// 查看大图组件
import Viewer from 'v-viewer';
import 'viewerjs/dist/viewer.css';
Vue.use(Viewer);
// Viewer.setDefaults({
//   Options: {
//     inline: true, // 启用 inline 模式
//     button: true, // 显示右上角关闭按钮
//     navbar: true, // 显示缩略图导航
//     title: true, // 显示当前图片的标题
//     toolbar: true, // 显示工具栏
//     tooltip: true, // 显示缩放百分比
//     movable: true, // 图片是否可移动
//     zoomable: true, // 图片是否可缩放
//     rotatable: true, // 图片是否可旋转
//     scalable: true, // 图片是否可翻转
//     transition: true, // 使用 CSS3 过度
//     fullscreen: true, // 播放时是否全屏
//     keyboard: true, // 是否支持键盘
//     url: 'data-source', // 设置大图片的 url
//   },
// });

// 试题详情组件
import QuestionDetailDialog from '@/components/common/QuestionDetailDialog';

Vue.component('QuestionDetailDialog', QuestionDetailDialog);
Object.entries(filters).forEach(([key, value]) => {
  Vue.filter(key, value);
});

Vue.config.productionTip = false;

// 开发时是否使用数据库中的菜单，修改后需要重新登陆
// if (process.env.NODE_ENV !== 'production') {
//   sessionStorage.MenusFromDB = false;
// }
sessionStorage.MenusFromDB = false;

const $bus = new Vue();
Object.defineProperties(Vue.prototype, {
  $bus: {
    get() {
      return $bus;
    },
  },
});

new Vue({
  router: router,
  store: store,
  render: (h) => h(App),
}).$mount('#app');
